/*  ==========================================================================
    SCAFFOLDING
    ========================================================================== */

    /**
    *
    *   TABLE OF CONTENTS
    *
    *   1. BLEEDING
    *   2. STATES
    *   3. LAYOUT
    *   4. VISIBILITY
    *   5. PATTERNS
    *   6. MODULES
    *   7. PAGES
    *
    */


    /* STATES
    ========================================================================== */

        .is-offline
        {
            color: $gray-20;
        }

        .is-block
        {
            display: block;
        }

        .is-inline-block
        {
            @include inline-block;
        }


    /* LAYOUT
    ========================================================================== */

        .pull-left
        {
            float: left !important;
        }

        .pull-right
        {
            float: right !important;
        }

        .pull-bottom
        {
            position:absolute !important;
            bottom:0;

            &.icon
            {
                left: calc(50% - 8px);

                width: auto;
            }
        }

        .pull-bottom--small
        {
            position:absolute !important;
            bottom:0;

            &.icon
            {
                left: calc(50% - 6px);

                width: auto;
            }
        }


        .relative
        {
            position: relative;
        }


    /* VISIBILITY
    ========================================================================== */

        .hidden,
        [hidden=true]
        {
            display: none!important;
        }

        .show,
        [hidden=false]
        {
            display: block!important;
        }

        // hide in large breakpoint
        .hide-large
        {
            @include breakpoint(large)
            {
                display: none;
            }
        }

        // hide in huge breakpoint
        .hide-huge
        {
            @include breakpoint(huge)
            {
                display: none;
            }
        }

        // show in large breakpoint
        // but as inline
        .show-large--inline
        {
            display: none;

            @include breakpoint(large)
            {
                display: inline;
            }
        }

        // show in large breakpoint
        // but as inline-block
        .show-large--inline-block
        {
            display: none;

            @include breakpoint(large)
            {
                display: inline-block;
            }
        }

        .show-large--table-cell
        {
            display: none;

            @include breakpoint(large)
            {
                display: table-cell;
            }
        }

        // show in large breakpoint
        .show-large
        {
            display: none;

            @include breakpoint(large)
            {
                display: block;
            }
        }

        .show-huge--inline
        {
            display: none;

            @include breakpoint(huge)
            {
                display: inline;
            }
        }